prepare changelog for upload
[debian/bti.git] / debian / changelog
1 bti (034-3) unstable; urgency=medium
2
3   * Update debian/control priority to "optional"
4   * Bump Standards-Version to 4.1.4
5   * Use https URLs in debian/control
6   * Bump copyright years in debian/copyright
7   * Use debhelper and compat level 11; drop dh-autoreconf dependency,
8     which is enabled by default since compat level 10.
9
10  -- tony mancill <tmancill@debian.org>  Sun, 01 Jul 2018 08:18:41 -0700
11
12 bti (034-2) unstable; urgency=medium
13
14   * debian/watch: switch upstream URL back to kernel.org.
15   * Also update Source field in debian/copyright.
16   * Add build dependency on pkg-config.
17     Thanks to David Su├írez for the bug report.
18     (Closes: #747771)
19
20  -- gregor herrmann <gregoa@debian.org>  Sun, 11 May 2014 21:01:38 +0200
21
22 bti (034-1) unstable; urgency=medium
23
24   * New upstream release. Important changes:
25     - use https for all Twitter URLs
26       Closes: #735367
27     - drop (already broken) support for StatusNet / identi.ca (which has
28       switched from StatusNet to the never-supported pump.io)
29       Closes: #714330, #717133
30   * debian/*: don't mention identi.ca/StatusNet anymore.
31   * Add patch to remove some more references to identi.ca from the help
32     output and the example config.
33   * Drop two patches (taken from upstream or fixed identically),
34     refresh one (offset).
35   * Update years of packaging copyright.
36   * Declare compliance with Debian Policy 3.9.5.
37
38  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Jan 2014 19:01:33 +0100
39
40 bti (033-2) unstable; urgency=low
41
42   * Add patch use-EIO-instead-of-EREMOTEIO.patch, taken from upstream git.
43     (Closes: #714335)
44
45  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 12:55:53 +0200
46
47 bti (033-1) unstable; urgency=low
48
49   * New upstream release:
50     - fixes "bti should terminate with an error if the --config file can't
51       be read" (Closes: #669192)
52     - fixes "bti no longer works with Twitter and loses posted tweets"
53       by adjusting to the Twitter API v 1.1
54       (Closes: #714032)
55   * Refresh manpage-debian.patch (offset).
56   * Add build dependency on libjson-c-dev.
57   * Add patch to handle Debian's libjson-c.
58   * Add a patch to fix a spelling mistake in the manpage.
59   * Update OAuth instructions on README.Debian. (Closes: #706104)
60   * Update long description (direct messages are supported now).
61
62  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 01:55:26 +0200
63
64 bti (032-2) unstable; urgency=low
65
66   * Update Vcs-* headers.
67   * debian/watch: update after github URL schema change.
68   * Build depend on libcurl4-gnutls-dev instead of libcurl4-nss-dev (cf.
69     #650138) and make build dependency on liboauth-dev versioned just in
70     case). (LP: #1072720)
71   * Remove version from bash-completion build dependency, nothing older in
72     the archive.
73   * debian/copyright: switch formatting to Copyright-Format 1.0.
74   * Update years of packaging copyright.
75   * Set Standards-Version to 3.9.4 (no changes).
76   * Bump debhelper compatibility level to 9.
77   * debian/rules: make build non-silent.
78
79  -- gregor herrmann <gregoa@debian.org>  Mon, 06 May 2013 21:27:22 +0200
80
81 bti (032-1) unstable; urgency=low
82
83   * New upstream release
84   * debian/watch: use github redirector, there are no released tarballs at the
85     moment.
86   * The tarball from github doesn't ship a configure script; use
87     dh-autoreconf.
88   * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
89     included upstream).
90
91  -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100
92
93 bti (031-4) unstable; urgency=low
94
95   * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
96     conflict with each other, and liboauth-dev now requires the former.
97     (Fixes a not-yet-detected FTBFS.)
98
99  -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100
100
101 bti (031-3) unstable; urgency=low
102
103   * Add patch to output the correct configfile name (identi.ca/OAuth/access
104     tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.
105
106  -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
107
108 bti (031-2) unstable; urgency=low
109
110   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
111     URI's to point to https instead of http (closes: #602507).
112   * Set Standards-Version to 3.9.2 (no changes).
113   * Improve long description.
114
115  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200
116
117 bti (031-1) unstable; urgency=low
118
119   * New upstream release:
120     - addresses "bti doesn't warn if the password is incorrect": check server
121       replies in non-background mode, only in non-OAuth mode
122       (partly solves #602502)
123
124  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
125
126 bti (030-1) unstable; urgency=low
127
128   * New upstream release.
129   * Switch to debhelper 8.
130
131  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
132
133 bti (029-2) unstable; urgency=low
134
135   * Upload to unstable.
136
137  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
138
139 bti (029-1) experimental; urgency=low
140
141   * New upstream release: includes fixes for
142     + "the --dry-run option has no effect (tweets get posted anyway)
143        with OAuth" (closes: #608608)
144     + "--replyto doesn't work with OAuth" (closes: #608112)
145   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
146     description and add a patch to change the name in the manpage and the
147     example config; thanks to Julien Valroff for the bug report
148     (closes: #605407).
149   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
150     upstream.
151   * Refresh remaining patches.
152   * debian/copyright: update years of upstream and packaging copyright; update
153     formatting.
154   * Don't install README anymore.
155   * Upload to experimental because of the freeze.
156
157  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
158
159 bti (028-2) unstable; urgency=low
160
161   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
162     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
163     request_token URI in order to make OAuth work with identi.ca
164     (closes: #602507).
165   * Minor fixes in README.Debian.
166
167  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
168
169 bti (028-1) unstable; urgency=low
170
171   * New upstream release:
172     - support for replying to notices
173     - adds OAuth support for both twitter and identi.ca (closes: #588235)
174     - split --background from --bash, and make the latter imply the former
175   * Refresh manpage-debian.patch.
176   * Set Standards-Version to 3.9.1 (no changes).
177   * Add build dependency on liboauth-dev.
178   * debian/rules: switch order of dh arguments (preparation for dh8).
179   * debian/copyright: update years of upstream copyright.
180   * Add README.Debian about OAuth usage.
181
182  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
183
184 bti (026-1) unstable; urgency=low
185
186   * Bump build dependency on bash-completion (needed for --with
187     bash-completion in debian/rules).
188
189   * New upstream release.
190   * Refresh patch manpage-debian.patch and DEP3 patch headers.
191   * debian/copyright: refresh DEP5 header, update years of packaging
192     copyright.
193   * Set Standards-Version to 3.8.4 (no changes).
194   * Convert to source format 3.0 (quilt). Remove quilt framework.
195     Lower debhelper dependency.
196
197  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
198
199 bti (025-1) unstable; urgency=low
200
201   * New upstream release: 
202     - set default host to twitter (closes: #563098)
203     - mention correct host in prompts (closes: #563099)
204
205  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
206
207 bti (024-1) unstable; urgency=low
208
209   * New upstream release:
210     - do not display password while user types it (LP: #386525)
211     - disable echo when reading the password
212     - add laconica group support
213   * debian/control: add Homepage field and adjust long description.
214   * Use "--with bash-completion" in debian/rules to install bash-completion
215     snippet; bump build dependencies on debhelper and bash-completion in
216     debian/control.
217
218  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
219
220 bti (023-2) unstable; urgency=low
221
222   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
223     Matthias Klose for the pointer.
224   * Set Standards-Version to 3.8.3 (no changes).
225   * Add debian/README.source to document quilt usage.
226   * Simplify debian/rules, adjust versioned build dependencies on debhelper
227     and quilt in debian/control.
228   * Use dh_bash-completion for installing the completion snippet; adjust
229     debian/rules, add a versioned build dependency on bash-completion.
230
231  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
232
233 bti (023-1) unstable; urgency=low
234
235   * New upstream release, main changes:
236     - new 'verbose' mode
237     - SSL also for twitter
238   * debian/copyright: add new additional copyright holder.
239   * Refresh patch manpage-debian.patch.
240   * debian/control: mention additional actions in long description.
241
242  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
243
244 bti (022-1) unstable; urgency=low
245
246   * New upstream release, main changes:
247     - support for custim laconi.ca instances
248     - use SSL for identi.ca
249   * debian/copyright: add additional copyright holder.
250
251  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
252
253 bti (021-1) unstable; urgency=low
254
255   * New upstream release, contains changes in autoconf tools:
256     - simplify debian/rules and debian/install
257     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
258
259  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
260
261 bti (020-1) unstable; urgency=low
262
263   * New upstream release:
264     - remove patch getopt.patch, included upstream
265     - remove manpage for bti-shrink-urls from debian/, included upstream
266     - upstream uses autoconf, adjust debian/rules and debian/install, remove
267       debian/manpages
268
269  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
270
271 bti (017-1) unstable; urgency=low
272
273   * New upstream release.
274   * Add build-dependency on libpcre3-dev.
275   * Refresh patch manpage-debian.patch.
276   * debian/install: add new bti-shrink-urls.
277   * debian/copyright: add information about bti-shrink-urls.
278   * Create a manpage for bti-shrink-urls.
279   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
280     target which is not easier to use than the manual installation we've been
281     using).
282   * Add a new patch getopt.patch to make the new commandline options available
283     in bti.c.
284
285  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
286
287 bti (015-1) unstable; urgency=low
288
289   * New upstream release; from the RELEASE-NOTES:
290     "--action support, bti now can output data from the twitter
291     and identica servers".
292   * Add build dependency on libxml2-dev.
293   * Refresh patch manpage-debian.patch.
294   * Set Standards-Version to 3.8.1 (no changes).
295
296  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
297
298 bti (014-1) unstable; urgency=low
299
300   * New upstream release.
301
302  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
303
304 bti (013-1) unstable; urgency=low
305
306   * New upstream release.
307   * Use dh_install instead of dh_bash-completion to install the bash
308     completion snippet in order to work around a problem on the amd64 buildd
309     (closes: #513115). Drop build dependency on bash-completion.
310
311  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
312
313 bti (012-1) unstable; urgency=low
314
315   * New upstream release.
316   * Install the new bash completion script; add bash-completion to
317     Build-Depends and Suggests.
318   * Refresh patch manpage-debian.patch.
319
320  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
321
322 bti (011-1) unstable; urgency=low
323
324   * New upstream release.
325   * Add build dependency on libreadline5-dev.
326
327  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
328
329 bti (010-1) unstable; urgency=low
330
331   * New upstream release, includes a new --proxy option and honours the
332     http_proxy environment variable (closes: #511087).
333   * Refresh patch manpage-debian.patch.
334
335  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
336
337 bti (008-1) unstable; urgency=low
338
339   * New upstream release (due to december twitter server change).
340   * Update years of packaging copyright.
341
342  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
343
344 bti (007-1) unstable; urgency=low
345
346   * New upstream release.
347
348  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
349
350 bti (006-1) unstable; urgency=low
351
352   * Initial release (Closes: #503241)
353
354  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200